Skip to content
Developer

DisabledUiFunction

System and settings4 EndpointsSettings / DisabledUiFunction

Returns a list of all DisabledUiFunction

GET/api/settings/disabled_ui_function

Query parameters

deletedbooleanThis property is used to mark an entity as deleted / archived
namestring
entityTypestringEntity the function is hidden for, for example Person.
infoModestringDisplay mode of the info text of the function.
functionTypestringType of the hidden function, for example button or menu.
functionNamestringTechnical name of the function.
functionScopestringAccess scope the function belongs to.
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all DisabledUiFunctionarray<DisabledUiFunction>

Show fields (12)
  • idinteger

    Primary key of the disabled function. Internal ID.

  • entity_typestring

    Entity the function is hidden for, for example Person.

  • function_typestring

    Type of the hidden function, for example button or menu.

  • function_scopestring

    Access scope the function belongs to.

  • function_access_typeinteger

    Access type the function belongs to.

  • function_namestring

    Technical name of the function.

  • function_is_internalboolean

    The function is only hidden for internal users.

  • info_modestring

    Display mode of the info text of the function.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/disabled_ui_function \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "function_name": "Beispiel",
    "name": "Beispiel",
    "entity_type": "string",
    "function_type": "string",
    "function_scope": "string",
    "function_access_type": 1,
    "function_is_internal": true,
    "info_mode": "string",
    "created": "2026-10-15T09:30:00+02:00"
  }
]

Returns a single DisabledUiFunction entry.

GET/api/settings/disabled_ui_function/{identifier}

Path parameters

identifierrequiredstring

Responses

200Return single DisabledUiFunctionDisabledUiFunction

Show fields (12)
  • idinteger

    Primary key of the disabled function. Internal ID.

  • entity_typestring

    Entity the function is hidden for, for example Person.

  • function_typestring

    Type of the hidden function, for example button or menu.

  • function_scopestring

    Access scope the function belongs to.

  • function_access_typeinteger

    Access type the function belongs to.

  • function_namestring

    Technical name of the function.

  • function_is_internalboolean

    The function is only hidden for internal users.

  • info_modestring

    Display mode of the info text of the function.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/disabled_ui_function/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "function_name": "Beispiel",
  "name": "Beispiel",
  "entity_type": "string",
  "function_type": "string",
  "function_scope": "string",
  "function_access_type": 1,
  "function_is_internal": true,
  "info_mode": "string",
  "created": "2026-10-15T09:30:00+02:00"
}

Updates an existing DisabledUiFunction entry.

PUT/api/settings/disabled_ui_function/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataDisabledUiFunction
    Show fields (12)
    • idinteger

      Primary key of the disabled function. Internal ID.

    • entity_typestring

      Entity the function is hidden for, for example Person.

    • function_typestring

      Type of the hidden function, for example button or menu.

    • function_scopestring

      Access scope the function belongs to.

    • function_access_typeinteger

      Access type the function belongs to.

    • function_namestring

      Technical name of the function.

    • function_is_internalboolean

      The function is only hidden for internal users.

    • info_modestring

      Display mode of the info text of the function.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update single DisabledUiFunctionDisabledUiFunction

Show fields (12)
  • idinteger

    Primary key of the disabled function. Internal ID.

  • entity_typestring

    Entity the function is hidden for, for example Person.

  • function_typestring

    Type of the hidden function, for example button or menu.

  • function_scopestring

    Access scope the function belongs to.

  • function_access_typeinteger

    Access type the function belongs to.

  • function_namestring

    Technical name of the function.

  • function_is_internalboolean

    The function is only hidden for internal users.

  • info_modestring

    Display mode of the info text of the function.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/settings/disabled_ui_function/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "function_name": "Beispiel",
    "name": "Beispiel",
    "entity_type": "string",
    "function_type": "string",
    "function_scope": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "function_name": "Beispiel",
  "name": "Beispiel",
  "entity_type": "string",
  "function_type": "string",
  "function_scope": "string",
  "function_access_type": 1,
  "function_is_internal": true,
  "info_mode": "string",
  "created": "2026-10-15T09:30:00+02:00"
}

Updates an existing DisabledUiFunction entry.

PATCH/api/settings/disabled_ui_function/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataDisabledUiFunction
    Show fields (12)
    • idinteger

      Primary key of the disabled function. Internal ID.

    • entity_typestring

      Entity the function is hidden for, for example Person.

    • function_typestring

      Type of the hidden function, for example button or menu.

    • function_scopestring

      Access scope the function belongs to.

    • function_access_typeinteger

      Access type the function belongs to.

    • function_namestring

      Technical name of the function.

    • function_is_internalboolean

      The function is only hidden for internal users.

    • info_modestring

      Display mode of the info text of the function.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update single DisabledUiFunctionDisabledUiFunction

Show fields (12)
  • idinteger

    Primary key of the disabled function. Internal ID.

  • entity_typestring

    Entity the function is hidden for, for example Person.

  • function_typestring

    Type of the hidden function, for example button or menu.

  • function_scopestring

    Access scope the function belongs to.

  • function_access_typeinteger

    Access type the function belongs to.

  • function_namestring

    Technical name of the function.

  • function_is_internalboolean

    The function is only hidden for internal users.

  • info_modestring

    Display mode of the info text of the function.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/settings/disabled_ui_function/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "function_name": "Beispiel",
    "name": "Beispiel",
    "entity_type": "string",
    "function_type": "string",
    "function_scope": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "function_name": "Beispiel",
  "name": "Beispiel",
  "entity_type": "string",
  "function_type": "string",
  "function_scope": "string",
  "function_access_type": 1,
  "function_is_internal": true,
  "info_mode": "string",
  "created": "2026-10-15T09:30:00+02:00"
}